# Architectural Decision Records

This folder contains Architectural Design Records (ADRs): documents that captures important architectural decisions along with their context and consequences.

ADRs are intended to be lightweight, and sit in between the level of Git commit history (or pull request comments) and more full-fledged and evergreen documents. ADRs are more discoverable than Git history or PR comments, and require less effort than RFCs, design documents, or READMEs.

Some rationale and detailed descriptions ADRs is available at [adr.github.io](https://adr.github.io/), and a [nice article](https://18f.gsa.gov/2021/07/06/architecture_decision_records_helpful_now_invaluable_later/) was written about them by 18F.

## Format

We follow the format described [here](https://github.com/joelparkerhenderson/architecture-decision-record/blob/main/templates/decision-record-template-by-michael-nygard/index.md):

```
# Title

## Status

What is the status, such as proposed, accepted, rejected, deprecated, superseded, etc.?

## Context

What is the issue that we're seeing that is motivating this decision or change?

## Decision

What is the change that we're proposing and/or doing?

## Consequences

What becomes easier or more difficult to do because of this change?
```
